package com.ruoyi.system.service;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.SysTableSet;
import com.ruoyi.system.domain.SysTableSetQuery;

import java.util.List;

/**
 * 列宽修改Service接口
 *
 * @author ruoyi
 * @date 2021-01-30
 */
public interface ISysTableSetService {

    /**
     * 查询列表
     */
    List<SysTableSet> queryList(SysTableSet sysTableSet);

    /**
     * 保存表信息
     *
     * @param sysTableSet
     * @return
     */
    AjaxResult saveTableSet(SysTableSetQuery sysTableSet);

    /**
     * 查询表信息
     *
     * @param sysTableSet
     * @return
     */
    List<SysTableSet> selectTableSet(SysTableSet sysTableSet);

    boolean updateTableSetMessage(SysTableSet sysTableSet);
}
